SDL_SurfaceHasColorKey(3)

NAME
SDL_SurfaceHasColorKey - Returns whether the surface has a color key.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_SurfaceHasColorKey(SDL_Surface *surface);

DESCRIPTION
It is safe to pass a NULL surface here; it will return false.

FUNCTION PARAMETERS

surface
    the SDL_Surface structure to query.

RETURN VALUE
Returns true if the surface has a color key, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetSurfaceColorKey(3), SDL_GetSurfaceColorKey(3)